Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.errors.exceptions
Class XBRLValidatorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLENLOCException
                  es.inteco.xbrl.lenlocpenloc.errors.exceptions.ValidatorException
                      es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLValidatorException

All Implemented Interfaces:
  java.io.Serializable

    public class XBRLValidatorException

extends ValidatorException

Clase utilizada para notificar errores durante la aplicación de la validación XBRL, por ejemplo en los procesos de transformación en los cuales, se realizan validaciones XBRL antes o después de dicha transformación.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `errorInValidationXbrlInstance` Utilizado para notificar cuando una instancia de entrada contiene errores de validación.

Fields inherited from class es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLENLOCException
`canNotResolveSchemaRef, errorContextWithoutDimensionContainer, errorContextWithoutScenario, errorCreatingTempFile, errorGettingFile, errorGettingNS, errorGettingReportID, errorGettingSchema, errorInicializingProcessor, errorInXSLTTransformation, errorNormalizeSchema, errorParamsTransformation, errorResolvingConfigPaths, errorSavingFileToByteArray, errorTryingViewInstance, errorTryingViewInstanceExternal, errorTryingViewInstanceResultFile, genericErrorValidatingInstance, notExistTempDirectory`

Constructor Summary
`XBRLValidatorException(java.lang.String message, GenericErrorsHandler errorsHandler, java.lang.Throwable cause)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.
`XBRLValidatorException(java.lang.String message, java.lang.String[] parameters)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error sin indicar la causa del error.
`XBRLValidatorException(java.lang.String message, java.lang.String[] parameters, GenericErrorsHandler errorsHandler)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.
`XBRLValidatorException(java.lang.String message, java.lang.String[] parameters, java.lang.Throwable cause)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.
`XBRLValidatorException(java.lang.String message, java.lang.Throwable cause)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.

Method Summary

Methods inherited from class es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLENLOCException
`getCodeError, getErrorsHandler, getMessage, setCodeError, setErrorsHandler`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### errorInValidationXbrlInstance

    public static final java.lang.String errorInValidationXbrlInstance

  Utilizado para notificar cuando una instancia de entrada contiene errores de validación.

  See Also:
    Constant Field Values

Constructor Detail

### XBRLValidatorException

    public XBRLValidatorException(java.lang.String message,
                                  java.lang.Throwable cause)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.

  Parameters:
    `message` - constante correspondiente al mensaje
    `cause` - mensaje de la excepción original

### XBRLValidatorException

    public XBRLValidatorException(java.lang.String message,
                                  java.lang.String[] parameters,
                                  java.lang.Throwable cause)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.

  Parameters:
    `message` - constante correspondiente al mensaje
    `parameters` - parámetros para completar el mensaje
    `cause` - mensaje de la excepción original

### XBRLValidatorException

    public XBRLValidatorException(java.lang.String message,
                                  java.lang.String[] parameters)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error sin indicar la causa del error.

  Parameters:
    `message` - constante correspondiente al mensaje
    `parameters` - parámetros para completar el mensaje

### XBRLValidatorException

    public XBRLValidatorException(java.lang.String message,
                                  GenericErrorsHandler errorsHandler,
                                  java.lang.Throwable cause)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.

  Parameters:
    `message` - constante correspondiente al mensaje.
    `errorsHandler` - contiene los errores propagados hasta llegar a esta excepción.
    `cause` - mensaje de la excepción original.

### XBRLValidatorException

    public XBRLValidatorException(java.lang.String message,
                                  java.lang.String[] parameters,
                                  GenericErrorsHandler errorsHandler)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.

  Parameters:
    `message` - constante correspondiente al mensaje.
    `parameters` - parámetros para completar el mensaje
    `errorsHandler` - contiene los errores propagados hasta llegar a esta excepción.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD